Bug 590328 - avc for cups on create
Summary: avc for cups on create
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-08 20:18 UTC by Need Real Name
Modified: 2010-05-18 21:47 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.7.19-15.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 21:47:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2010-05-08 20:18:44 UTC
Summary:

SELinux is preventing cupsd "create" access on cups.

Detailed Description:

SELinux denied access requested by cupsd. It is not expected that this access is
required by cupsd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:cupsd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:cupsd_log_t:s0
Target Objects                cups [ dir ]
Source                        cupsd
Source Path                   cupsd
Port                          <Unknown>
Host                          X
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-13.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     X
Platform                      Linux X 2.6.33.3-79.fc13.x86_64 #1 SMP Mon
                              May 3 22:37:18 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Sat 08 May 2010 22:16:46 CEST
Last Seen                     Sat 08 May 2010 22:16:46 CEST
Local ID                      X
Line Numbers                  

Raw Audit Messages            

node=X type=AVC msg=audit(1273349806.916:411): avc:  denied  { create } for  pid=6304 comm="cupsd" name="cups" scontext=unconfined_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:cupsd_log_t:s0 tclass=dir

Comment 1 Daniel Walsh 2010-05-10 18:15:54 UTC
Fixed in selinux-policy-3.7.19-15.fc13.noarch

Comment 2 Fedora Update System 2010-05-11 21:16:53 UTC
selinux-policy-3.7.19-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13

Comment 3 Fedora Update System 2010-05-12 12:19:37 UTC
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13

Comment 4 Fedora Update System 2010-05-15 20:21:52 UTC
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13

Comment 5 Fedora Update System 2010-05-18 21:46:23 UTC
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.